Declare @BancoDados varchar(50);
Set @BancoDados = (select nome_banco_dados from prc_bancos_dados where tipo_banco_dados=1)

if len(@BancoDados) > 0
	begin
		IF exists(Select id from sysobjects where name = 'PDV_VD_NFCE_ARQ_DANFE_CANCEL' AND XTYPE = 'SN')
		Begin
			Exec ('DROP SYNONYM PDV_VD_NFCE_ARQ_DANFE_CANCEL');
		End
		Exec ('create synonym PDV_VD_NFCE_ARQ_DANFE_CANCEL for '+@BancoDados+'..PDV_VD_NFCE_ARQ_DANFE_CANCEL');
	end
else
	begin
		Print 'Nao foi possivel retornar o banco de dados para criacao do sinonimo PDV_VD_NFCE_ARQ_DANFE_CANCEL'
	end
